{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };
  outputs = { self, nixpkgs, ... }: {
    packages.x86_64-linux = let
      pkgs = import nixpkgs {
        system = "x86_64-linux";
      };
    in {
      my_project = pkgs.python311Packages.buildPythonPackage rec {
        pname = "my_project";
        version = "0.0.1";

        src = ./.;

        format = "other";

        propagatedBuildInputs = with pkgs.python311Packages; [
        ];

        installPhase = ''
          mkdir -p $out/bin
          cp my_project.py $out/bin/my_project
        '';
      };
      default = self.packages.x86_64-linux.my_project;
    };

    hydraJobs = {
      inherit (self)
        packages;
    };
  };
}
